Name: bonobo-conf
Version: 0.16
Release: alt1

Summary: Bonobo Configuration System
Group: System/Configuration/Other
License: GPL

Requires: lib%name = %version-%release
PreReq: oaf >= 0.6.6

Source0: bonobo-conf-%version.tar.bz2

# Automatically added by buildreq on Mon Oct 28 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs bonobo esound-devel freetype2-devel gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel imlib-devel indent libGConf-devel libORBit libaudiofile-devel libbonobo-devel libdb1-devel libgnomeprint-devel liboaf libpopt-devel libxml-devel oaf-devel zlib-devel

%description
The Bonobo Configuration System (BCS) consists of several parts. An API
to access configuration data, a database to store configuration values
in XML format and a system to visualise and edit configuration
data. The whole system is built on top of Bonobo and ORBit (CORBA).

%package -n lib%name
Summary: Shared libraries of the Bonobo Configuration System
Group: System/Libraries

%description -n lib%name
Shared libraries supplied by the Bonobo Configuration System.

%package devel
Summary: Development files for the Bonobo Configuration System
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: lib%name-devel

%description devel
This package allows you to build applications that use the
Bonobo Configuration System.

%package devel-static
Summary: Static libraries of the Bonobo Configuration System
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release
Provides: lib%name-devel-static = %version-%release
Obsoletes: lib%name-devel-static

%description devel-static
This package contains static libraries supplied by the Bonobo Configuration
System.

%prep
%setup -q

%build
%configure
%make_build
%install
%makeinstall

%find_lang %name

%pre
if [ "$DURING_INSTALL" != "" ]; then
	%_bindir/oaf-slay -s ||:
fi

%post -n libbonobo-conf -p /sbin/ldconfig

%postun -n libbonobo-conf -p /sbin/ldconfig

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir/*
%_libdir/bonobo/monikers/*.so*
%_datadir/idl/*.idl
%_datadir/oaf/*

%files -n lib%name
%_libdir/lib*.so.*

%files -n %name-devel
%_includedir/bonobo-conf
%_libdir/*.sh
%_libdir/lib*.so
%_libdir/lib*.la
%_libdir/bonobo/monikers/*.la

%files -n %name-devel-static
%_libdir/bonobo/monikers/*.a
%_libdir/lib*.a

%changelog
* Mon Oct 28 2002 AEN <aen@altlinux.ru> 0.16-alt1
- new version

* Sat Nov 03 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.14-alt1
- New version
- Small filelist cleanup
- Renewed BuildRequires

* Tue Oct 09 2001 AEN <aen@logic.ru> 0.12-alt1
- new version
- *.idl moved to  bonobo-conf package

* Sat Aug 25 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.11-alt2
- Spec cleanup
- Delibification of -devel packages
- oaf-slay at preinstall

* Mon Aug 20 2001 AEN <aen@logic.ru> 0.11-alt1
- new version
* Thu Aug 09 2001 AEN <aen@logic.ru> 0.10-alt1
- new version
* Wed Jul 24 2001 AEN <aen@logic.ru> 0.8-alt1
- new version
- %files fixed
* Mon Jul 9 2001 AEN <aen@logic.ru> 0.6-alt1
- first build
